/*
 * Pan - A Newsreader for X
 * Copyright (C) 1999  Matt Eagleson (e.Messiah@superpimp.org)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

#ifndef __ACACHE_H__
#define __ACACHE_H__

#define ACACHE_NONE 0
#define ACACHE_KEEP 1

FILE * acache_open_header(article_data *, int);
void acache_putline_header(FILE *, char *);
void acache_close_header(FILE *);
FILE * acache_open_body(article_data *, int);
void acache_putline_body(FILE *, char *);
void acache_close_body(FILE *);
int acache_load_body(article_data *);
int acache_load_header(article_data *);
void acache_load(article_data *);
void acache_delete(char *);
int acache_hit_body(article_data *);
int acache_hit_header(article_data *);
void acache_expire(void);

#endif /* __ACACHE_H__ */
