/*
 * Pan - A Newsreader for X
 * Copyright (C) 1999  Matt Eagleson (e.Messiah@superpimp.org)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

#ifndef __ARTICLE_LIST_H__
#define __ARTICLE_LIST_H__

extern int sort_style;
enum {
	SORT_SUBJECT_ASC = 0,
	SORT_LINES_ASC,
	SORT_DATE_ASC,
	SORT_AUTHOR_ASC,

	SORT_SUBJECT_DESC,
	SORT_LINES_DESC,
	SORT_DATE_DESC,
	SORT_AUTHOR_DESC
};

extern article_data *current_article;

GSList* thread_list_by_subject (GSList *, group_data *);
GSList* thread_list_by_reference (GSList *, group_data *);
GSList* thread_list_by_multipart (GSList *, group_data *);
GSList* thread_thread_by_reference (GSList* list);
int thread_article_by_subject (GSList* list, article_data* data);
int thread_article_by_reference (GSList* list, article_data* data);
GSList* thread_article_by_multipart (GSList *list, article_data *adata);

void set_node_image (article_data *);
GtkWidget* create_articlelist_ctree (void);
void articlelist_get_all (void);
void articlelist_select_all (void);
void articlelist_get_new (void);
void articlelist_free (GSList *);
void articlelist_update_node (article_data *);
void article_ctree_clean (void);
void articlelist_update (group_data *);
void articlelist_load (queue_data *);
void articlelist_clear (void);
void click_articlelist_column (GtkCList *, int); /* int = which column was clicked */
int compare_subject_ascending  (article_data *, article_data *);
int compare_subject_descending (article_data *, article_data *);
int compare_lines_ascending  (article_data *, article_data *);
int compare_lines_descending (article_data *, article_data *);
int compare_author_ascending  (article_data *, article_data *);
int compare_author_descending (article_data *, article_data *);
int compare_date_ascending  (article_data *, article_data *);
int compare_date_descending (article_data *, article_data *);
void decode_selected_articles(void);
void articlelist_find_text_cb(void);
void articlelist_find_next_cb(void);
int articlelist_count_unread(group_data *);
void articlelist_not_new(GSList *);

void articlelist_sort (group_data *gdata);
void articlelist_set_sort_func (group_data *gdata);

void articlelist_process_selected (int type);

void articlelist_selected_mark_read (void);
void articlelist_selected_mark_unread (void);
void articlelist_selected_download (void);
void articlelist_selected_decode (void);

void find_dialog_destroy_cb (void);
int find_compare_func (article_data *adata, char *p);
void find_article (gchar *p);
void find_dialog_clicked_cb (GnomeDialog *dialog, int button, GtkWidget *find_entry);
GtkCTreeNode* add_article_to_ctree (GtkCTreeNode* parent, article_data* adata);
int build_article_ctree_recursive (GtkCTreeNode* parent, GSList* list);
void articlelist_selected_delete (void);
int multipart_sortfunc (article_data *a, article_data *b);
int mp_strcmp (char *mp, char *ph);
void article_ctree_button_press (GtkWidget* widget, GdkEventButton* bevent);

#endif /* __ARTICLE_LIST_H__ */
