#ifndef __PAN_H__
#define __PAN_H__

#include "groups.h"
#include "article.h"
#include "acache.h"
#include "db.h"
#include "queue.h"
#include "nntp.h"
#include "text.h"
#include "util.h"
#include "server.h"
#include "sockets.h"
#include "articlelist.h"
#include "post.h"
#include "gui.h"
#include "gui-notebook.h"
#include "gui-paned.h"
#include "props.h"
#include "date.h"
#include "druid.h"
#include "log.h"
#include "queue-manager.h"
#include "decode.h"
#include <pthread.h>
#include <config.h>

/* Defines
 */
#ifndef MAXHOSTNAMELEN
#define MAXHOSTNAMELEN 255
#endif
#ifndef PATH_MAX
#define PATH_MAX 255
#endif

extern struct _Pan {
	gchar *error;
	pthread_t thread;
	int p[2];				/* ??? */
	GtkWidget   *window;		        /* ??? */
	GtkWidget   *appbar;		        /* ??? */
	GtkWidget   *article_ctree;	        /* ??? */
	GtkWidget   *group_clist;	        /* left window pane, group list */
	gint idle_tag;				/* ??? */
	gint timer_tag;				/* ??? */
	server_data *active_server;	        /* 'Erols' or the likes*/
	group_data  *active_group;		/* ??? */
	GSList *grouplist;			/* entire list of groups, pulled from active file */
} Pan;

/*
 * Function Definitions
 */
void pan_shutdown (void);
void pan_init (void);

#endif /* __PAN_H__ */
