/*
 * Pan - A Newsreader for X
 * Copyright (C) 1999  Matt Eagleson (e.Messiah@superpimp.org)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

#ifndef __PROPS_H__
#define __PROPS_H__


extern gchar *temp_dir;
extern gchar *data_dir;
extern gchar *download_dir;

/*
 * data structures
 */
typedef struct _PanPropsWindow PanPropsWindow;
struct _PanPropsWindow {
	GnomePropertyBox *box;
	GtkWidget *server_clist;
	GtkWidget *edit_profile_dialog;
	GtkWidget *profile_name_entry;

	GtkWidget *server_address;
	GtkWidget *server_port;
	GtkWidget *server_username_label;
	GtkWidget *server_username;
	GtkWidget *server_password_label;
	GtkWidget *server_password;

	GtkWidget *auth_cbutton;

	GtkWidget *user_email;
	GtkWidget *user_organization;
	GtkWidget *user_fullname;

	GtkWidget *dir_download;
	GtkWidget *dir_temp;
	GtkWidget *dir_data;

	GtkWidget *headers_0;
	GtkWidget *headers_1;
	GtkWidget *headers_2;
};

/* 
 * function prototypes
 */
void props_spawn (void);
void props_init (void);

void load_servers (void);
void save_servers (void);
void props_update_clist (void);
void props_apply (GtkWidget *box, int page_num);
void edit_profile_dialog_clicked (GnomeDialog *dialog, int button, server_data *data);
void edit_profile_changed (GnomeDialog *d);
void edit_profile_dialog (server_data *data);
void server_clist_button_press (GtkWidget *widget, GdkEventButton *bevent);
void new_server_cb (void);
void edit_server_cb (void);
void delete_server_cb (void);
void props_cancel (void);
GtkWidget* paths_page (void);
GtkWidget* userinfo_page (void);
GtkWidget* message_page (void);
GtkWidget* server_page (void);

#endif /* __PROPS_H__ */
